// Generates output in format compatible with WeBuilder Message panel.
module.exports = {
	reporter: function (res) {
		"use strict";
		var str = "";

		res.forEach(function (r) {
			var err = r.error;
 			str += "Line: " + err.line + ":" + err.character + " - " + err.reason + "\n";
		});

		if (str) {
			process.stdout.write(str);
		}
	}
};